## rust-resource-proof 1.0.39

=== debian/changelog ===
rust-resource-proof (1.0.39-4) unstable; urgency=medium

  * fix depend on librust-clap-3+default-dev librust-clap-3+derive-dev
    (not librust-clap-2+default-dev librust-rand-0+default-dev);
    really closes: bug#1021029
  * relax all (build-)dependencies to be unversioned

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 01 Oct 2022 10:41:54 +0200

rust-resource-proof (1.0.39-3) unstable; urgency=medium

  * extend patch to also relax clap versioning;
    closes: bug#1021029, thanks to Paul Gevers

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 30 Sep 2022 23:58:35 +0200

rust-resource-proof (1.0.39-2) unstable; urgency=medium

  * add bug references to patch 1002
  * fix revert to provide core minor- and micro-version virtual packages
  * drop patch 1002;
    tighten build-dependency on librust-clap-3+default-dev

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 02 Aug 2022 10:46:18 +0200

rust-resource-proof (1.0.39-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * drop patch 1002, obsoleted by upstream changes
  * update (simplify) patch 1001
  * add debian/patches/README documenting patch naming micro-policy
  * build-depend on librust-clap-3+default-dev librust-clap-3+derive-dev
    (not librust-clap-2+default-dev)
  * stop build-depend on librust-rand-0+default-dev
  * stop build-depend explicitly on cargo libstd-rust-dev rustc
    (used only indirectly handled by dh-cargo)
  * stop overzealously provide minor- or micro-version virtual packages
  * bump project version in autopkgtests
  * add patch 1002 to avoid clap attribute missing before clap v3.2

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 Jul 2022 10:36:09 +0200

rust-resource-proof (1.0.38-2) unstable; urgency=medium

  * fix patch 1002 Bug field URI
  * tighten library long description
  * set Rules-Requires-Root: no
  * fix typo in DEP-3 patch header

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 31 May 2022 11:47:30 +0200

rust-resource-proof (1.0.38-1) unstable; urgency=medium

  * initial packaging release;
    closes: bug#1011029

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 16 May 2022 08:24:15 +0200
