=== debian/control ===
Source: rust-resource-proof
Section: rust
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 dh-cargo (>= 25),
 librust-clap-3+default-dev <!nocheck>,
 librust-clap-3+derive-dev <!nocheck>,
 librust-termion-1+default-dev <!nocheck>,
 librust-tiny-keccak-2+default-dev <!nocheck>,
 librust-tiny-keccak-2+sha3-dev <!nocheck>,
Maintainer: Jonas Smedegaard <dr@jones.dk>
Standards-Version: 4.6.1
Vcs-Git: https://salsa.debian.org/debian/rust-resource-proof.git
Vcs-Browser: https://salsa.debian.org/debian/rust-resource-proof
Homepage: https://github.com/maidsafe/resource_proof
Rules-Requires-Root: no
X-Cargo-Crate: resource_proof

Package: librust-resource-proof-dev
Architecture: any
Multi-Arch: same
Depends:
 librust-clap-3+default-dev <!nocheck>,
 librust-clap-3+derive-dev <!nocheck>,
 librust-termion-1+default-dev <!nocheck>,
 librust-tiny-keccak-2+default-dev <!nocheck>,
 librust-tiny-keccak-2+sha3-dev <!nocheck>,
 ${misc:Depends},
Provides:
 librust-resource-proof+default-dev (= ${binary:Version}),
 librust-resource-proof-1+default-dev (= ${binary:Version}),
 librust-resource-proof-1-dev (= ${binary:Version}),
 librust-resource-proof-1.0-dev (= ${binary:Version}),
 librust-resource-proof-1.0.39-dev (= ${binary:Version}),
Description: resource proof for decentralised network nodes - Rust source code
 This crate handles "proof" of bandwidth, cpu and storage
 for nodes in a decentralised network.
 .
 The hope is to combine mechanisms
 that attempt to validate resources on remote machines.
 This validation though, is a spot check and also best effort.
 It is not guaranteed to be accurate over time
 and this consideration must be clear to users of the crate.
 .
 The purpose is to provide **some** indication
 that a machine has **some** capabilities.
 .
 This package contains the source for the Rust resource_proof crate,
 packaged for use with cargo and dh-cargo.

Package: resource-proof
Architecture: any
Multi-Arch: allowed
Section: net
Depends:
 ${cargo:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${cargo:Recommends},
Suggests:
 ${cargo:Suggests},
Provides:
 ${cargo:Provides},
Built-Using:
 ${cargo:Built-Using},
XB-X-Cargo-Built-Using:
 ${cargo:X-Cargo-Built-Using},
Description: resource proof for decentralised network nodes - CLI tool
 This crate handles "proof" of bandwidth, cpu and storage
 for nodes in a decentralised network.
 .
 The hope is to combine mechanisms
 that attempt to validate resources on remote machines.
 This validation though, is a spot check and also best effort.
 It is not guaranteed to be accurate over time
 and this consideration must be clear to users of the crate.
 .
 The purpose is to provide **some** indication
 that a machine has **some** capabilities.
 .
 This package contains the binary resource_proof.
