=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test resource_proof 1.0.39
 --all-targets --all-features
Features: test-name=rust-resource-proof:@
Depends:
 dh-cargo (>= 18),
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test resource_proof 1.0.39
 --all-targets
Features: test-name=librust-resource-proof-dev:default
Depends:
 dh-cargo (>= 18),
 @,
Restrictions: allow-stderr, skip-not-installable

Test-Command: /usr/share/cargo/bin/cargo-auto-test resource_proof 1.0.39
 --all-targets --no-default-features
Features: test-name=librust-resource-proof-dev:
Depends:
 dh-cargo (>= 18),
 @,
Restrictions: allow-stderr, skip-not-installable
